Jobs
GET /jobs/daywise-costs
GetDaywiseCosts
Authorization
JWTKeyAuth Authorization<token>
In: header
Query Parameters
start_date*string
Date range start
end_date*string
Date range end
Response Body
*/*
*/*
*/*
curl -X GET "https://api.warpbuild.com/api/v1/jobs/daywise-costs?start_date=string&end_date=string"[
{
"amount": 0,
"cumulative_amount": 0,
"date": "string"
}
]{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}POST /builder-profiles/{builder_profile_id}/cache/reset
Previous Page
GET /org_metrics/job_runner_recommendations
Returns, for every GitHub job in the organization's last 7 days that should move to a different runner size, a right-sizing recommendation (derived from the job's aggregate CPU/memory usage across all its runs) plus a sample of its most recent runs.